do not autoprobe deps when we disabled them

--- a/GNUmakefile
+++ b/GNUmakefile
@@ -75,7 +75,10 @@
 
 PROG_SUBDIRS = converter analyzer editor generator other
 PRODUCT_SUBDIRS = lib $(PROG_SUBDIRS)
-SUPPORT_SUBDIRS = urt icon buildtools test
+SUPPORT_SUBDIRS = icon buildtools test
+ifeq ($(URTLIB),$(BUNDLED_URTLIB))
+SUPPORT_SUBDIRS += urt
+endif
 
 SUBDIRS = $(PRODUCT_SUBDIRS) $(SUPPORT_SUBDIRS)
 
--- a/converter/other/Makefile
+++ b/converter/other/Makefile
@@ -7,6 +7,7 @@
 
 include $(BUILDDIR)/config.mk
 
+ifneq ($(XML2_LIBS),NONE)
 TEST_PKGCONFIG_LIBXML2 = if $(PKG_CONFIG) libxml-2.0; then echo exists; fi
 
 ifneq ($(shell $(TEST_PKGCONFIG_LIBXML2)),)
@@ -22,6 +23,7 @@
     XML2_CFLAGS=$(shell xml2-config --cflags)
   endif
 endif
+endif
 
 SUBDIRS = jbig pnmtopalm jpeg2000 cameratopam pamtosvg
 ifneq ($(BUILD_FIASCO), N)
@@ -34,6 +36,7 @@
   endif
 endif
 
+ifneq ($(PNGLIB),NONE)
 TEST_PKGCONFIG_LIBPNG = if $(PKG_CONFIG) libpng$(PNGVER); then echo exists; fi
 
 ifneq ($(shell $(TEST_PKGCONFIG_LIBPNG)),)
@@ -58,6 +61,7 @@
     endif
   endif
 endif
+endif
 
 ifneq ($(JPEGLIB),NONE)
   ifneq ($(JPEGHDR_DIR)x,x)
--- a/other/pamx/Makefile
+++ b/other/pamx/Makefile
@@ -9,6 +9,7 @@
 
 EXTERN_INCLUDE =
 
+ifneq ($(X11LIB),NONE)
 ifeq ($(shell $(PKG_CONFIG) x11 --modversion --silence-errors),)
   # Pkg-config has never heard of X11, or doesn't even exist
 
@@ -23,6 +24,7 @@
   X11LIB = $(shell $(PKG_CONFIG) x11 --libs)
   EXTERN_INCLUDES += $(shell $(PKG_CONFIG) x11 --cflags)
 endif
+endif
 
 ifeq ($(HAVE_X11LIB),Y)
   PORTBINARIES += pamx
